com.atid.lib.module.rfid.uhf.params

## Class FreqTableList

- java.lang.Object
- - com.atid.lib.module.rfid.uhf.params.FreqTableList

-     public class FreqTableList
      extends java.lang.Object

  The FreqTableList class represents the frequency channel information of the RFID UHF module.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreqTableList(long table, long mask)` Creates an instance of the FreqTableList class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` Returns the number of channels stored in the FreqTableList instance.
    `java.lang.String` | `getFreqName(int index)` FreqTableList Returns the frequency value obtained by converting the channel stored in the instance into Unit units.
    `java.lang.String[]` | `getFreqNames()` FreqTableList Returns the frequency value obtained by converting the channel of all channel information stored in the instance into Unit unit.
    `int` | `getFrequency(int index)` Returns the frequency value of the channel stored in the FreqTableList instance.
    `int` | `getSlot(int index)` Returns the slot of the channel stored in the FreqTableList instance.
    `long` | `getTable()` Returns whether to use frequency channel in bit wise form.
    `boolean` | `isUsed(int index)` Returns whether the frequency channel stored in the FreqTableList instance is used.
    `void` | `setFrequency(int index, int freq)` Sets the frequency value of the channel stored in the FreqTableList instance.
    `void` | `setUsed(int index, boolean used)` Sets whether to use the frequency channel stored in the FreqTableList instance.
    `void` | `sort()` FreqTableList Arrange the frequency channel information stored in the instance based on the frequency value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FreqTableList

          public FreqTableList(long table,
                               long mask)

      Creates an instance of the FreqTableList class.
      Parameters:
        `table` - It is an long type of bit wise type indicating whether or not to use frequency channel.
        `mask` - An long type of bit wise type indicating the frequency channel used.

  - ### Method Detail

    - #### getCount

          public int getCount()

      Returns the number of channels stored in the FreqTableList instance.
      Returns:
        An integer representing the number of channels.

    - #### getSlot

          public int getSlot(int index)

      Returns the slot of the channel stored in the FreqTableList instance.
      Parameters:
        `index` - Integer representing the radix of channel information. This value must be less than the return value of the getCount method
      Returns:
        An integer representing the channel's slot.

    - #### getFrequency

          public int getFrequency(int index)

      Returns the frequency value of the channel stored in the FreqTableList instance.
      Parameters:
        `index` - Integer representing the radix of channel information. This value must be less than the return value of the getCount method
      Returns:
        An integer representing the channel frequency.

    - #### getFreqName

          public java.lang.String getFreqName(int index)

      FreqTableList Returns the frequency value obtained by converting the channel stored in the instance into Unit units.
      Parameters:
        `index` - Integer representing the radix of channel information. This value must be less than the return value of the getCount method
      Returns:
        It is a string that converts channel frequency into unit unit.

    - #### getFreqNames

          public java.lang.String[] getFreqNames()

      FreqTableList Returns the frequency value obtained by converting the channel of all channel information stored in the instance into Unit unit.
      Returns:
        An array of strings of channel frequencies converted to units.

    - #### setFrequency

          public void setFrequency(int index,
                                   int freq)

      Sets the frequency value of the channel stored in the FreqTableList instance.
      Parameters:
        `index` - Integer representing the radix of channel information. This value must be less than the return value of the getCount method
        `freq` - An integer representing the channel frequency.

    - #### isUsed

          public boolean isUsed(int index)

      Returns whether the frequency channel stored in the FreqTableList instance is used.
      Parameters:
        `index` - Integer representing the radix of channel information. This value must be less than the return value of the getCount method
      Returns:
        A boolean indicating whether a frequency channel is used.

    - #### setUsed

          public void setUsed(int index,
                              boolean used)

      Sets whether to use the frequency channel stored in the FreqTableList instance.
      Parameters:
        `index` - Integer representing the radix of channel information. This value must be less than the return value of the getCount method
        `used` - A boolean indicating whether a frequency channel is used.

    - #### getTable

          public long getTable()

      Returns whether to use frequency channel in bit wise form.
      Returns:
        It is an long type of bit wise type indicating whether or not to use frequency channel.

    - #### sort

          public void sort()

      FreqTableList Arrange the frequency channel information stored in the instance based on the frequency value.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`